package cc.fascinated.bat.config;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component @Getter
public class Config {
    public static Config INSTANCE;

    /**
     * Is the app running in a production environment?
     */
    @Getter
    private static final boolean production;

    /**
     * The ID of the admin guild
     */
    private final String adminGuild;

    /**
     * The ID of the logs channel
     */
    private final String logsChannel;

    static {
        // Are we running on production?
        String appEnv = System.getenv("APP_ENV");
        production = appEnv != null && (appEnv.equals("production"));
    }

    @Autowired
    public Config(
            @Value("${bat.admin-guild}") String adminGuild,
            @Value("${bat.logs-channel}") String logsChannel
    ) {
        INSTANCE = this;
        this.adminGuild = adminGuild;
        this.logsChannel = logsChannel;
    }
}
