package cc.fascinated.bat.features.scoresaber.profile.guild;

import cc.fascinated.bat.common.Serializable;
import cc.fascinated.bat.service.DiscordService;
import com.google.gson.Gson;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import net.dv8tion.jda.api.entities.channel.concrete.TextChannel;
import org.bson.Document;

/**
 * @author Fascinated (fascinated7)
 */
@Getter
@Setter
@NoArgsConstructor
public class NumberOneScoreFeedProfile extends Serializable {
    /**
     * The channel ID of the score feed
     */
    private String channelId;

    /**
     * Gets the channel as a TextChannel
     *
     * @return the channel as a TextChannel
     */
    public TextChannel getTextChannel() {
        return DiscordService.JDA.getTextChannelById(channelId);
    }

    @Override
    public void reset() {
        this.channelId = null;
    }

    @Override
    public void load(Document document, Gson gson) {
        this.channelId = document.getString("channelId");
    }

    @Override
    public Document serialize(Gson gson) {
        Document document = new Document();
        document.put("channelId", this.channelId);
        return document;
    }
}
