package cc.fascinated.bat.features.spotify.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "spotify", description = "Change your Spotify settings", guildOnly = false, userInstall = true, category = Category.MEDIA)
public class SpotifyCommand extends BatCommand {
    @Autowired
    public SpotifyCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(LinkSubCommand.class),
                context.getBean(UnlinkSubCommand.class),
                context.getBean(PauseSubCommand.class),
                context.getBean(ResumeSubCommand.class),
                context.getBean(CurrentSubCommand.class),
                context.getBean(SkipSubCommand.class)
        );
    }
}
