package cc.fascinated.bat.features.tmdb.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Nick (okNick)
 */
@Component
@CommandInfo(name = "tmdb", description = "Get information about movies and TV shows", guildOnly = false, userInstall = true, category = Category.MEDIA)
public class TMDBCommand extends BatCommand {
    @Autowired
    public TMDBCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(MovieSubCommand.class),
                context.getBean(SeriesSubCommand.class)
        );
    }
}